# Configuration for the datagrepper webapp.
config = {
    # We don't actually want to run the datanommer consumer on this machine.
    'datanommer.enabled': False,

    # Note that this is connecting to db02.  That's fine for now, but we want to
    # move the db for datanommer to a whole other db host in the future.  We
    # expect the amount of data it generates to grow pretty steadily over time
    # and we don't want *read* operations on that database to slow down all our
    # other apps.
    'datanommer.sqlalchemy.url': 'postgresql://{{ datanommer_user }}:{{ datanommer_password }}@127.0.0.1:5432/datanommer',

    # Only allow ajax/websockets connections back to our domains.
    # https://github.com/fedora-infra/datagrepper/pull/192
    'content_security_policy': 'connect-src https://*.fedoraproject.org wss://*.fedoraproject.org http://100.26.18.234 http://*.arc.fedorainfracloud.org http://54.236.16.215'
}
